ArjArchiveEntry
Date: 2017-02-08

org.apache.commons.compress.archivers.arj

## Class ArjArchiveEntry

- java.lang.Object
- - org.apache.commons.compress.archivers.arj.ArjArchiveEntry

- All Implemented Interfaces:
    ArchiveEntry

      public class ArjArchiveEntry
      extends java.lang.Object
      implements ArchiveEntry

  An entry in an ARJ archive.
  Since:
    1.6

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ArjArchiveEntry.HostOs` The known values for HostOs.

  - ### Field Summary

    - ### Fields inherited from interface org.apache.commons.compress.archivers.ArchiveEntry

      `SIZE_UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArjArchiveEntry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHostOs()` The operating system the archive has been created on.
    `java.util.Date` | `getLastModifiedDate()` The last modified date of the entry.
    `int` | `getMode()` File mode of this entry.
    `java.lang.String` | `getName()` Get this entry's name.
    `long` | `getSize()` Get this entry's file size.
    `int` | `getUnixMode()` File mode of this entry as Unix stat value.
    `boolean` | `isDirectory()` True if the entry refers to a directory.
    `boolean` | `isHostOsUnix()` Is the operating system the archive has been created on one that is considered a UNIX OS by arj?

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArjArchiveEntry

          public ArjArchiveEntry()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Get this entry's name.
      Specified by:
        `getName` in interface `ArchiveEntry`
      Returns:
        This entry's name.

    - #### getSize

          public long getSize()

      Get this entry's file size.
      Specified by:
        `getSize` in interface `ArchiveEntry`
      Returns:
        This entry's file size.

    - #### isDirectory

          public boolean isDirectory()

      True if the entry refers to a directory.
      Specified by:
        `isDirectory` in interface `ArchiveEntry`
      Returns:
        True if the entry refers to a directory

    - #### getLastModifiedDate

          public java.util.Date getLastModifiedDate()

      The last modified date of the entry.

      Note the interpretation of time is different depending on the HostOS that has created the archive. While an OS that is `considered to be Unix` stores time in a timezone independent manner, other platforms only use the local time. I.e. if an archive has been created at midnight UTC on a machine in timezone UTC this method will return midnight regardless of timezone if the archive has been created on a non-Unix system and a time taking the current timezone into account if the archive has beeen created on Unix.

      Specified by:
        `getLastModifiedDate` in interface `ArchiveEntry`
      Returns:
        the last modified date

    - #### getMode

          public int getMode()

      File mode of this entry.

      The format depends on the host os that created the entry.

      Returns:
        the file mode

    - #### getUnixMode

          public int getUnixMode()

      File mode of this entry as Unix stat value.

      Will only be non-zero of the host os was UNIX.

      Returns:
        the Unix mode

    - #### getHostOs

          public int getHostOs()

      The operating system the archive has been created on.
      Returns:
        the host OS code
      See Also:
        `ArjArchiveEntry.HostOs`

    - #### isHostOsUnix

          public boolean isHostOsUnix()

      Is the operating system the archive has been created on one that is considered a UNIX OS by arj?
      Returns:
        whether the operating system the archive has been created on is considered a UNIX OS by arj